1. Keys
Deepgram
  • Projects
    • Analyze Text
      POST
    • Get Projects
      GET
    • Update Project
      PATCH
    • Delete Project
      DELETE
  • Keys
    • Get Keys
      GET
    • Get Key
      GET
    • Create Key
      POST
    • Delete Key
      DELETE
  • Members
    • Get Members
      GET
    • Remove Member
      DELETE
  • Scopes
    • Get Member Scopes
      GET
    • Update Scope
      PUT
  • invitations
    • Get Invites
      GET
    • Send Invite
      POST
    • Delete Invite
      DELETE
    • Leave Project
      DELETE
  • Usage
    • Get All Requests
      GET
    • Get Request
      GET
    • Summarize Usage
      GET
    • Get Fields
      GET
  • Billing
    • Get Balances
      GET
    • Get Balance
      GET
  • Transcribe & Analyze - Local file
    POST
  • Transcribe & Analyze - Remote file
    POST
  • Transform Text-to-Speech - REST
    POST
  1. Keys

Get Keys

Develop Env
https://dev.your-api-server.com
Develop Env
https://dev.your-api-server.com
GET
/v1/projects/{project_id}/keys
Retrieves keys for the specified project
Keys are associated with Deepgram Projects. They enable you to use the Deepgram API, identify the Project calling the API, and associate usage information with Projects. Keys are assigned Scopes, which determine which actions they can be used to perform in the associated Project. For each Project, you can create multiple Keys and assign different Scopes for each Key.
If the authenticated account has access to the members:read, admins:read, and owners:read project scopes, it will list all keys for the project. Otherwise, it will only list keys that belong to the authenticated account.
Required account/project scope(s): keys:read. Optional project scope(s): members:read, admins:read, owners:read.
Required Deepgram Self-Hosted product scopes: self-hosted:product:api and self-hosted:product:engine.
Read more about roles and scopes.

Request

Path Params

Responses

🟢200Success
application/json
Body

🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dev.your-api-server.com/v1/projects//keys'
Response Response Example
200 - Success
{
  "api_keys": [
    {
      "member": {
        "member_id": "c74f9a10-ea40-4585-951e-88e63c35108f",
        "email": "devrel@deepgram.com",
        "first_name": "Deepgram",
        "last_name": "Team"
      },
      "api_key": {
        "api_key_id": "17c8886a-b58f-4c15-a7eb-9e52f2cf26ce",
        "comment": "Member API key",
        "scopes": [
          "member"
        ],
        "tags": [
          "user"
        ],
        "created": "2021-06-01T14:03:35.815832Z"
      }
    },
    {
      "member": {
        "member_id": "b74f9a00-ea40-4585-951e-88e63c35108f",
        "email": "devrel@deepgram.com",
        "first_name": "Scott",
        "last_name": "Stephenson"
      },
      "api_key": {
        "api_key_id": "15f6022a-d188-4317-a3dd-4340fdeddb75",
        "comment": "Management API key",
        "scopes": [
          "owner"
        ],
        "created": "2021-05-30T12:24:33.564224Z"
      }
    }
  ]
}
Modified at 2024-07-29 06:09:14
Previous
Delete Project
Next
Get Key
Built with